Bug 113349 - Bug 110293 uses read -d which is a non-portable bashism
Summary: Bug 110293 uses read -d which is a non-portable bashism
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Other
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-26 15:20 PDT by Landry Breuil
Modified: 2013-04-08 17:30 PDT (History)
2 users (show)

See Also:


Attachments
Patch (11.54 KB, patch)
2013-03-31 19:50 PDT, Martin Robinson
gns: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Landry Breuil 2013-03-26 15:20:21 PDT
Webkitgtk 1.11.92 fails to configure, see bug 110293 comment 6 :

read -d '' DEFAULT_FEATURE_DEFINES <<"EOF"
   ENABLE_ACCELERATED_2D_CANVAS=0
   ENABLE_BATTERY_STATUS=0
...
   ENABLE_XHR_TIMEOUT=1
EOF

read -d is a bashism, which fails where sh!=bash - ksh, in our case.

read DEFAULT_FEATURES_DEFINES << "EOF"
   ENABLE_ACCELERATED_2D_CANVAS=0 \
   ENABLE_BATTERY_STATUS=0 \
...
   ENABLE_XHR_TIMEOUT=1
EOF

works here, and is portable.
Comment 1 Martin Robinson 2013-03-31 19:50:30 PDT
Created attachment 195918 [details]
Patch
Comment 2 WebKit Commit Bot 2013-04-08 13:44:57 PDT
Comment on attachment 195918 [details]
Patch

Rejecting attachment 195918 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', '--bot-id=webkit-cq-03', 'apply-attachment', '--no-update', '--non-interactive', 195918, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
', 'Gustavo Noronha Silva']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 2 diffs from patch file(s).
patching file Source/autotools/SetupWebKitFeatures.m4
Hunk #1 FAILED at 9.
1 out of 1 hunk FAILED -- saving rejects to file Source/autotools/SetupWebKitFeatures.m4.rej
patching file ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', 'Gustavo Noronha Silva']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: http://webkit-commit-queue.appspot.com/results/17515021
Comment 3 Martin Robinson 2013-04-08 17:30:22 PDT
Committed r147967: <http://trac.webkit.org/changeset/147967>